'------------------------------------------------------------------------------
' TITLE:    segmaker
' DATE:     March 11, 1991
' AUTHOR: R. Gonzalez
'
' DESCRIPTION:  Makes a boring segment for viewing with segview
'
' COMPILING:    Remove STATIC declarations, uncomment indicated lines
'     Check: Include MBPCs & MBLCs, Include runtime code, Make all arrays static,
'     Use default window & menu, (if available: Generate 68020 & 68881 code).
'
' (MODIFICATION HISTORY)
' DATE:      
' AUTHOR: 
' DESCRIPTION:   
'------------------------------------------------------------------------------

'MAIN

    DIM a$,b$,filename$
    
    SHOWPEN        ' show segments while creating them.  The "showlevel" is usually
    '    1, meaning that things are drawn.  The PICTURE ON statement decrements the
    '    showlevel by 1, so nothing is drawn.  However, SHOWPEN increments the showlevel
    '    by 1.  Likewise, HIDEPEN decrements the showlevel by 1 and PICTURE OFF increments
    '    the showlevel by 1.  Things are drawn as long as the showlevel is greater or equal
    '    to 1.

    PICTURE ON
    backcolor 33
    CLS                ' note - the screen is cleared when segment 1 is drawn!
    forecolor 273
    CIRCLE (100,100),50
    PICTURE OFF
    a$=PICTURE$

    PICTURE ON
    forecolor 137
    LINE (100,100)-(200,200)
    PICTURE OFF
    b$ = PICTURE$

    filename$ = FILES$(0)
    OPEN filename$ FOR OUTPUT AS #1
    PRINT #1, 2
    PRINT #1, LEN(a$)
    PRINT #1, a$
    PRINT #1, LEN(b$)
    PRINT #1, b$
    CLOSE #1

END

